Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Branch: master
Fetching contributors…

Cannot retrieve contributors at this time

142 lines (120 sloc) 5.04 kB
<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
<!-- Parent -->
<parent>
<groupId>org.jboss</groupId>
<artifactId>jboss-parent</artifactId>
<version>8</version>
<relativePath />
</parent>
<!-- Model Version -->
<modelVersion>4.0.0</modelVersion>
<!-- Artifact Configuration -->
<groupId>org.jboss.arquillian.extension</groupId>
<artifactId>arquillian-transaction-parent</artifactId>
<version>1.0.2.Final-SNAPSHOT</version>
<packaging>pom</packaging>
<name>Arquillian Transaction Extension: Parent</name>
<description>Transaction support for Arquillian.</description>
<licenses>
<license>
<name>Apache License, Version 2.0</name>
<url>http://www.apache.org/licenses/LICENSE-2.0.txt</url>
</license>
</licenses>
<properties>
<!-- Arquillian -->
<version.arquillian_core>1.1.2.Final</version.arquillian_core>
<!-- Tests -->
<version.junit>4.11</version.junit>
<version.fest.assert>1.4</version.fest.assert>
<version.mockito>1.9.5</version.mockito>
<version.jboss_spec>3.0.2.Final</version.jboss_spec>
<version.org.jboss.jbossas>7.1.1.Final</version.org.jboss.jbossas>
<!-- override from parent -->
<maven.compiler.argument.target>1.5</maven.compiler.argument.target>
<maven.compiler.argument.source>1.5</maven.compiler.argument.source>
</properties>
<modules>
<module>api</module>
<module>spi</module>
<module>impl-base</module>
<module>impl-jta</module>
<module>bom</module>
</modules>
<build>
<plugins>
<plugin>
<artifactId>maven-release-plugin</artifactId>
<configuration>
<autoVersionSubmodules>true</autoVersionSubmodules>
<pushChanges>false</pushChanges>
<localCheckout>true</localCheckout>
</configuration>
</plugin>
</plugins>
</build>
<dependencyManagement>
<dependencies>
<!-- Arquillian Core -->
<dependency>
<groupId>org.jboss.arquillian</groupId>
<artifactId>arquillian-bom</artifactId>
<version>${version.arquillian_core}</version>
<type>pom</type>
<scope>import</scope>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.test</groupId>
<artifactId>arquillian-test-impl-base</artifactId>
<version>${version.arquillian_core}</version>
<classifier>tests</classifier>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.core</groupId>
<artifactId>arquillian-core-impl-base</artifactId>
<version>${version.arquillian_core}</version>
<classifier>tests</classifier>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.container</groupId>
<artifactId>arquillian-container-test-impl-base</artifactId>
<version>${version.arquillian_core}</version>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.extension</groupId>
<artifactId>arquillian-transaction-api</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.extension</groupId>
<artifactId>arquillian-transaction-impl-base</artifactId>
<version>${project.version}</version>
</dependency>
<dependency>
<groupId>org.jboss.arquillian.extension</groupId>
<artifactId>arquillian-transaction-spi</artifactId>
<version>${project.version}</version>
</dependency>
<!-- Testing libraries -->
<dependency>
<groupId>junit</groupId>
<artifactId>junit</artifactId>
<version>${version.junit}</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.mockito</groupId>
<artifactId>mockito-all</artifactId>
<version>${version.mockito}</version>
<scope>test</scope>
</dependency>
<dependency>
<groupId>org.easytesting</groupId>
<artifactId>fest-assert</artifactId>
<version>${version.fest.assert}</version>
<scope>test</scope>
</dependency>
</dependencies>
</dependencyManagement>
</project>
Jump to Line
Something went wrong with that request. Please try again.